Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.apache.velocity
Class VelocityEngineTagHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.tagshandler.AbstractProgramElementTagsHandler
                  xdoclet.modules.apache.ScriptEngineTagHandler
                      xdoclet.modules.apache.velocity.VelocityEngineTagHandler

public class VelocityEngineTagHandler
extends ScriptEngineTagHandler

This is a tag handler able to execute Velocity template engine on a block!

Author:
  zluspai
xdoclet.taghandler
  namespace="Velocity"
created
  July 16, 2003

Field Summary

Fields inherited from class xdoclet.modules.apache.ScriptEngineTagHandler
`XDTSectionEnd, XDTSectionStart`

Fields inherited from class xdoclet.tagshandler.AbstractProgramElementTagsHandler
`currentToken, matchPattern, tagTokenizer`

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`VelocityEngineTagHandler()`

Method Summary
`void` | `clearVariables()` Clear all velocity variables
`void` | `generator(String template, Properties attributes)` Evaluates the body block with the Velocity template engine If the silent="yes" attribute is set then the Generator will not produce any output, but the template will run.
`String` | `getVariable(Properties attributes)` Get a value of a velocity variable from the context

Methods inherited from class xdoclet.modules.apache.ScriptEngineTagHandler
`escapeResults, fillVariables, generate, getSubTemplateVariable`

Methods inherited from class xdoclet.tagshandler.AbstractProgramElementTagsHandler
`checkForWrap, currentToken, exceptionList, firstSentenceDescriptionOfCurrentMember, forAllMembers, forAllMemberTags, forAllMemberTagTokens, getAllClasses, getClassNameFor, getFullClassNameFor, getFullSuperclassNameFor, getIndentChars, getXExecutableMemberForMemberName, getXExecutableMemberForMemberName, hasExecutableMember_OLD, hasExecutableMember, makeCopyOfArray, matchValue, memberComment, setMatchValue, skipToken`

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VelocityEngineTagHandler

    public VelocityEngineTagHandler()

Method Detail

### getVariable

    public String getVariable(Properties attributes)
                       throws XDocletException

  Get a value of a velocity variable from the context

  Parameters:
    `attributes` -
  Returns:
  Throws:
    `XDocletException`
  doc.tag
    type="content"

### generator

    public void generator(String template,
                          Properties attributes)
                   throws TemplateException

  Evaluates the body block with the Velocity template engine If the silent="yes" attribute is set then the Generator will not produce any output, but the template will run. If the disable="yes" attribute is set then the Velocity template will not run at all.

  Parameters:
    `template` - The body of the block tag
    `attributes` - The attributes of the template tag
  Throws:
    `TemplateException`
  doc.tag
    type="block"

### clearVariables

    public void clearVariables()
                        throws XDocletException

  Clear all velocity variables

  Throws:
    `XDocletException`
  doc.tag
    type="content"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD